跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
traders
/
{tag}
代币 - 交易者
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "blockTimestamp": "2025-01-15T10:30:00Z",
      "onchainCreatedAt": "2025-01-15T10:30:00Z",
      "percentileRankTradeAmountInUsd": "0.98",
      "percentileRankTradeCount": 95,
      "rankTradeAmountInUsd": "0.95",
      "tradeAmountInNative": "1500.50",
      "tradeAmountInUsd": "45000.00",
      "tradeCount": 42,
      "transactionSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

tag
enum<string>
必填

代币交易者标签(fresh, sandwish, bundle, sniper, dev, pro, insider) Token trader tag

可用选项:
fresh,
sandwish,
bundle,
sniper,
dev,
pro,
insider,
kol,
bluechip,
smart

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向(next 或 prev) Pagination direction

可用选项:
next,
prev

响应

200 - application/json

获取代币交易者

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="